from django.contrib import admin
from django.contrib.auth.models import Group

from .models.auth import User, APIUser, APIToken
from .models.crew import CrewMember, Address, Phone, Email
from .models.places import Airport, Country, Nationality, PhoneCode, ZipPlace
from .models.competences import Competence, Role, Certificate
from .forms.auth import APIUserForm


for model in [User, APIToken, CrewMember, Address, Phone, Email, Airport, Country, Nationality, PhoneCode, ZipPlace, Competence, Role, Certificate]:
    admin.site.register(model)

class APIUserAdmin(admin.ModelAdmin):
    model = APIUser
    form = APIUserForm

admin.site.register(APIUser, APIUserAdmin)

admin.site.unregister(Group)