# Generated by Django 4.1 on 2022-08-09 06:34

import datastore.helpers.uploads
from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('datastore', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Address',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Airport',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('city_code', models.CharField(blank=True, max_length=256, null=True)),
                ('code', models.CharField(blank=True, max_length=256, null=True, unique=True)),
                ('country_name', models.CharField(blank=True, max_length=256, null=True)),
                ('name', models.CharField(blank=True, max_length=256, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='APIUser',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('username', models.CharField(max_length=256)),
                ('password', models.CharField(max_length=256)),
            ],
        ),
        migrations.CreateModel(
            name='Country',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=16)),
                ('text', models.CharField(max_length=128)),
            ],
        ),
        migrations.CreateModel(
            name='Nationality',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='datastore.country')),
            ],
        ),
        migrations.CreateModel(
            name='PhoneCode',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('code', models.CharField(max_length=16)),
                ('flag', models.ImageField(null=True, upload_to=datastore.helpers.uploads.get_upload_path)),
                ('text', models.CharField(max_length=128)),
            ],
        ),
        migrations.AlterField(
            model_name='user',
            name='date_joined',
            field=models.DateTimeField(auto_now_add=True),
        ),
        migrations.CreateModel(
            name='ZipPlaces',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('postcode', models.CharField(max_length=64)),
                ('postplace', models.CharField(max_length=256)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='datastore.nationality')),
            ],
        ),
        migrations.CreateModel(
            name='CrewMember',
            fields=[
                ('pin', models.IntegerField(primary_key=True, serialize=False)),
                ('first_name', models.CharField(max_length=128)),
                ('middle_name', models.CharField(blank=True, max_length=128, null=True)),
                ('last_name', models.CharField(max_length=128)),
                ('calling_name', models.CharField(max_length=128)),
                ('place_of_birth', models.CharField(max_length=128)),
                ('first_address', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='crew_first', to='datastore.address')),
                ('nationality', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='datastore.nationality')),
                ('second_address', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, related_name='crew_second', to='datastore.address')),
            ],
        ),
        migrations.CreateModel(
            name='APIToken',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.UUIDField(default=uuid.uuid4)),
                ('expiry', models.DateTimeField()),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='datastore.apiuser')),
            ],
        ),
        migrations.AddField(
            model_name='address',
            name='zipplace',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='datastore.zipplaces'),
        ),
    ]
