from django.db import models


class Competence(models.Model):
    name = models.CharField(max_length=256)
    shortname = models.CharField(max_length=64, unique=True)

class Role(models.Model):
    name = models.CharField(max_length=128)
    competences = models.ManyToManyField(Competence, null=True)

class Certificate(models.Model):
    crew = models.ForeignKey("crewmember", models.CASCADE)
    competence = models.ForeignKey(Competence, models.CASCADE)
    created_by = models.CharField(max_length=128, null=True, blank=True)
    create_time = models.DateTimeField(null=True, blank=True)
    changed_by = models.CharField(max_length=128, null=True, blank=True)
    date_from = models.DateField(null=True, blank=True)
    date_to = models.DateField(null=True, blank=True)
    issued_by = models.CharField(max_length=128, null=True, blank=True)
    issued_place = models.CharField(max_length=128, null=True, blank=True)
    certificate_number = models.CharField(max_length=128, null=True, blank=True)
    expiry_date = models.DateField(null=True, blank=True)
    comments = models.TextField(null=True, blank=True)
    planned = models.BooleanField(default=False)
